Skip to navigation

Download document at order within agreement

View as Markdown

Downloads a specific document from the agreement presented to the user.

Required authentication scopes: click.manage

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

accountIdstringRequired

The external account number (int) or account ID GUID.

clickwrapIdstringRequired
The GUID of the elastic template.
orderOrDisclosurestringRequired

The order of the document or consumer_disclosure.

versionIdstringRequired

The ID of the version. This value can be the version’s GUID or the version string, such as 1.3.

Response

Successful response.
documentBase64stringOptional

The base64-encoded contents of the document.

documentDisplaystringOptional

Display type: link or document

documentHtmlstringOptional
The HTML representation of the document.
documentNamestringOptional
The name of the document.
fileExtensionstringOptional
The file extension of the document.
mustReadbooleanOptional

True if the user needs to scroll to the end of the document.

mustViewbooleanOptional
Reserved for Docusign.
orderintegerOptional
The order of document layout.

Errors

400
Bad Request Error